<?php
include '../../connect.php';
session_start();

$kadPengenalan =$_GET['kadPengenalan'];
$bilikID=$_GET['bilikID'];

echo $namaMesyuarat =strtoupper($_POST['namaMesyuarat']);
echo $tarikhMesyuaratDari =$_POST['tarikhMesyuaratDari'];
echo $tarikhMesyuaratHingga =$_POST['tarikhMesyuaratHingga'];
echo $masaDari = $_POST['masaDari'];
echo $masaHingga = $_POST['masaHingga'];
echo $jenisBilik = $_POST['jenisBilik'];

$tarikhMesyuaratDariNew = date("Y-m-d", strtotime($tarikhMesyuaratDari));
$tarikhMesyuaratHinggaNew = date("Y-m-d", strtotime($tarikhMesyuaratHingga));

$sql = "SELECT tempahan_bilik.bilikID, tempahan_bilik.kad_pengenalan, tempahan_bilik.nama_mesyuarat,tempahan_bilik.tarikh,tempahan_bilik.tarikhHingga, tempahan_bilik.masaDari, tempahan_bilik.masaHingga, tempahan_bilik.jenisBilik, tempahan_bilik.status, user.nama_user FROM `tempahan_bilik` JOIN `user` ON tempahan_bilik.kad_pengenalan=user.kad_pengenalan WHERE tempahan_bilik.bilikID='".$bilikID."'";
$result = mysqli_query($conn,$sql);
$row= mysqli_fetch_array($result);

	if($namaMesyuarat =="")
	{
		$namaMesyuarat = $row['nama_mesyuarat'];
						
		$query= "UPDATE `tempahan_bilik` SET kad_pengenalan='".$kadPengenalan."',nama_mesyuarat='".$namaMesyuarat."', tarikh='".$tarikhMesyuaratDariNew."', tarikhHingga='".$tarikhMesyuaratHinggaNew."',
		masaDari='".$masaDari."',masaHingga='".$masaHingga."',jenisBilik='".$jenisBilik."',status='SEDANG DIPROSES' WHERE bilikID='".$bilikID."'";
		$strQuery = mysqli_query($conn,$query);
		
		if($strQuery) 
		{
					
			echo "<script>alert('Maklumat tempahan bilik berjaya dikemaskini.');";
				echo "window.location.href = '../DashboardBilikMesyuarat.php';</script>";
				exit;
		}
		else
		{
			echo 'MySQL Error: ' . mysqli_error($conn);
			exit;
		}
		
	}
	else if ($tarikhMesyuaratDari == "")
	{
		$tarikhMesyuaratDari = $row['tarikh'];
						
		$query= "UPDATE `tempahan_bilik` SET kad_pengenalan='".$kadPengenalan."',nama_mesyuarat='".$namaMesyuarat."', tarikh='".$tarikhMesyuaratDari."', 
		masaDari='".$masaDari."',masaHingga='".$masaHingga."',jenisBilik='".$jenisBilik."',status='SEDANG DIPROSES' WHERE bilikID='".$bilikID."'";
		$strQuery = mysqli_query($conn,$query);
		
		if($strQuery) 
		{
					
			echo "<script>alert('Maklumat tempahan bilik berjaya dikemaskini.');";
				echo "window.location.href = '../DashboardBilikMesyuarat.php';</script>";
				exit;
		}
		else
		{
			echo 'MySQL Error: ' . mysqli_error($conn);
			exit;
		}
	}
	else if ($masaDari =="")
	{
		$masaDari = $row['masaDari'];		
				
		$query= "UPDATE `tempahan_bilik` SET kad_pengenalan='".$kadPengenalan."',nama_mesyuarat='".$namaMesyuarat."', tarikh='".$tarikhMesyuaratDariNew."', tarikhHingga='".$tarikhMesyuaratHinggaNew."',
		masaDari='".$masaDari."',masaHingga='".$masaHingga."',jenisBilik='".$jenisBilik."',status='SEDANG DIPROSES' WHERE bilikID='".$bilikID."'";
		$strQuery = mysqli_query($conn,$query);
		
		if($strQuery) 
		{
					
			echo "<script>alert('Maklumat tempahan bilik berjaya dikemaskini.');";
				echo "window.location.href = '../DashboardBilikMesyuarat.php';</script>";
				exit;
		}
		else
		{
			echo 'MySQL Error: ' . mysqli_error($conn);
			exit;
		}
	}
	else if ($masaHingga == "")
	{
		$masaHingga = $row['masaHingga'];
						
		$query= "UPDATE `tempahan_bilik` SET kad_pengenalan='".$kadPengenalan."',nama_mesyuarat='".$namaMesyuarat."',tarikh='".$tarikhMesyuaratDariNew."', tarikhHingga='".$tarikhMesyuaratHinggaNew."',
		masaDari='".$masaDari."',masaHingga='".$masaHingga."',jenisBilik='".$jenisBilik."',status='SEDANG DIPROSES' WHERE bilikID='".$bilikID."'";
		$strQuery = mysqli_query($conn,$query);
		
		if($strQuery) 
		{
					
			echo "<script>alert('Maklumat tempahan bilik berjaya dikemaskini.');";
				echo "window.location.href = '../DashboardBilikMesyuarat.php';</script>";
				exit;
		}
		else
		{
			echo 'MySQL Error: ' . mysqli_error($conn);
			exit;
		}
	}
	else if ($jenisBilik == "")
	{
		$jenisBilik = $row['jenisBilik'];
			
		$query= "UPDATE `tempahan_bilik` SET kad_pengenalan='".$kadPengenalan."',nama_mesyuarat='".$namaMesyuarat."', tarikh='".$tarikhMesyuaratDariNew."', tarikhHingga='".$tarikhMesyuaratHinggaNew."',
		masaDari='".$masaDari."',masaHingga='".$masaHingga."',jenisBilik='".$jenisBilik."',status='SEDANG DIPROSES' WHERE bilikID='".$bilikID."'";
		$strQuery = mysqli_query($conn,$query);
		
		if($strQuery) 
		{
					
			echo "<script>alert('Maklumat tempahan bilik berjaya dikemaskini.');";
				echo "window.location.href = '../DashboardBilikMesyuarat.php';</script>";
				exit;
		}
		else
		{
			echo 'MySQL Error: ' . mysqli_error($conn);
			exit;
		}
	}
	else
	{
		$query= "UPDATE `tempahan_bilik` SET kad_pengenalan='".$kadPengenalan."',nama_mesyuarat='".$namaMesyuarat."', tarikh='".$tarikhMesyuaratDariNew."', tarikhHingga='".$tarikhMesyuaratHinggaNew."',
		masaDari='".$masaDari."',masaHingga='".$masaHingga."',jenisBilik='".$jenisBilik."',status='SEDANG DIPROSES' WHERE bilikID='".$bilikID."'";
		$strQuery = mysqli_query($conn,$query);
		
		if($strQuery) 
		{
					
			echo "<script>alert('Maklumat tempahan bilik berjaya dikemaskini.');";
				echo "window.location.href = '../DashboardBilikMesyuarat.php';</script>";
				exit;
		}
		else
		{
			echo 'MySQL Error: ' . mysqli_error($conn);
			exit;
		}
	}
?>